#include <ulib.h>
#include "block.h"
#include "tcptest.h"

void main(void) {
  if (argslen() == 0) {
    uprintf("diagdummy: no arguments\n");
    quit();
  }

  char *cmd = args()[0];

  if (string_strcmp(cmd, "block") == 0) {
    diagdummy_block();
  } else if (string_strcmp(cmd, "tcp-test") == 0) {
    diagdummy_tcptest();
  } else {
    uprintf("diagdummy: unknown cmd %s\n", cmd);
  }
}
